%global debug_package %{nil}
%global kver %(kver=$(ls -1 /usr/lib/modules/ | head -1 | cut -d'-' -f1); test -n "$kver" && echo "$kver" || echo 666)
%global krel %(krel=$(ls -1 /usr/lib/modules/ | head -1 | cut -d'-' -f2 | cut -d'.' -f1-2); test -n "$krel" && echo "$krel" || echo 999)

Summary: nmbl proof of concept as a package
Name: nmbl-builder
Version: 0
Release: 1%{?dist}
Group: System Environment/Base
License: GPLv3
URL: https:/github.com/rhboot/nmbl-poc

BuildRequires: binutils
BuildRequires: btrfs-progs
%if 0%{?rhel} < 10
BuildRequires: dhcp-client
BuildRequires: systemd-networkd
%else
BuildRequires: kea
BuildRequires: NetworkManager
%endif
BuildRequires: dracut
BuildRequires: dracut-nmbl
BuildRequires: dracut-network
BuildRequires: efi-srpm-macros
BuildRequires: findutils
BuildRequires: git
BuildRequires: grub2-emu
BuildRequires: grub2-tools
BuildRequires: grub2-tools-minimal
BuildRequires: kernel-core
BuildRequires: kernel-modules
BuildRequires: kernel-modules-core
BuildRequires: kexec-tools
BuildRequires: keyutils
BuildRequires: lvm2
BuildRequires: make
BuildRequires: openssh-clients
BuildRequires: pesign
BuildRequires: systemd-boot
BuildRequires: systemd-ukify

Source0: nmbl-builder-%{VERSION}.tar.xz 

%description
nmbl-poc is a proof of concept for a bootloader for UEFI machines based on
the linux kernel and grub-emu, using either switchroot or kexec.

%package -n nmbl
Summary: nmbl proof of concept as a package
Version: %{kver}
Release: %{krel}

%description -n nmbl
nmbl-poc is a proof of concept for a bootloader for UEFI machines based on
the linux kernel and grub-emu, using either switchroot or kexec.

%prep
%autosetup -S git_am

%build
make nmbl-cloud.uki
%pesign -s -i nmbl-cloud.uki -o nmbl-cloud.signed.uki
mv nmbl-cloud.signed.uki nmbl-cloud.uki
make nmbl-megalith.uki
%pesign -s -i nmbl-megalith.uki -o nmbl-megalith.signed.uki
mv nmbl-megalith.signed.uki nmbl-megalith.uki
make nmbl-workstation.uki
%pesign -s -i nmbl-workstation.uki -o nmbl-workstation.signed.uki
mv nmbl-workstation.signed.uki nmbl-workstation.uki

%install
%make_install ESPDIR="%{efi_esp_dir}"

%files -n nmbl
%defattr(-,root,root,-)
%{efi_esp_dir}/*.uki

%changelog
* Fri Mar 17 2023 Peter Jones <pjones@redhat.com> - 0-0
- Yeet a spec file into the world
